Contactos
Crear un contacto
POST
/
api
/
v1
/
accounts
/
{account_id}
/
contacts
Crear un contacto
curl --request POST \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contact": {
"razon_social": "<string>",
"tipo_identificacion": "<string>",
"identificacion": "<string>",
"nombre_comercial": "<string>",
"cliente": true,
"proveedor": true,
"tipo_contribuyente": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"mobile_phone": "<string>",
"address": "<string>",
"note": "<string>"
}
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/contacts"
payload = { "contact": {
"razon_social": "<string>",
"tipo_identificacion": "<string>",
"identificacion": "<string>",
"nombre_comercial": "<string>",
"cliente": True,
"proveedor": True,
"tipo_contribuyente": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"mobile_phone": "<string>",
"address": "<string>",
"note": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact: {
razon_social: '<string>',
tipo_identificacion: '<string>',
identificacion: '<string>',
nombre_comercial: '<string>',
cliente: true,
proveedor: true,
tipo_contribuyente: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
mobile_phone: '<string>',
address: '<string>',
note: '<string>'
}
})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>",
"tipo_identificacion": "<string>",
"cliente": true,
"proveedor": true,
"nombre_comercial": "<string>",
"tipo_contribuyente": "<string>",
"email": "<string>",
"phone": "<string>",
"mobile_phone": "<string>",
"address": "<string>",
"note": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
]
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta. Usa el de tu propia cuenta o el de una cuenta que administras.
Body
application/json
Marca al menos uno de cliente o proveedor.
Show child attributes
Show child attributes
Response
El contacto creado.
Show child attributes
Show child attributes
⌘I
Crear un contacto
